#include <stdio.h>

void printNumber2(int n)
{
    if (n > 9)
    {
        printNumber2(n / 10);
    }
    printf("%d", n % 10);
}

int main()
{
    int number = 12345; // Example number
    printNumber2(number);
    printf("\n"); // Newline for better output formatting

    char *str = "abcde";
    printf("%s\n", str); // 输出: abcde

    char arr[] = "abcde";
    printf("%s\n", arr); // 输出: abcde
    return 0;
}
